#include <xc.h>

#define _XTAL_FREQ 4000000
// CONFIG
#pragma config FOSC = HS // Oscillator Selection bits (HS oscillator)
#pragma config WDTE = OFF // Watchdog Timer Enable bit (WDT disabled)
#pragma config PWRTE = ON // Power-up Timer Enable bit (PWRT enabled)
#pragma config BOREN = OFF // Brown-out Reset Enable bit (BOR disabled)
#pragma config LVP = OFF // Low-Voltage (Single-Supply) In-Circuit Serial Programming Enable bit (RB3 is digital I/O, HV on MCLR must be used for programming)
#pragma config CPD = OFF // Data EEPROM Memory Code Protection bit (Data EEPROM code protection off)
#pragma config WRT = OFF // Flash Program Memory Write Enable bits (Write protection off; all program memory may be written to by EECON control)
#pragma config CP = OFF // Flash Program Memory Code Protection bit (Code protection off)
//--------------------------------------------------------------
void segchar (unsigned int seg)
{
  switch (seg)
  {
    case 1:
      PORTB = 0b11111001;
      break;
    case 2:
      PORTB = 0b10100100;
      break;
    case 3:
      PORTB = 0b10110000;
      break;
    case 4:
      PORTB = 0b10011001;
      break;
    case 5:
      PORTB = 0b10010010;
      break;
    case 6:
      PORTB = 0b10000010;
      break;
    case 7:
      PORTB = 0b11111000;
      break;
    case 8:
      PORTB = 0b10000000;
      break;
    case 9:
      PORTB = 0b10010000;
      break;
    case 0:
      PORTB = 0b11000000;
      break;
  }
}
//--------------------------------------------------------------
void main(void) {
    unsigned char i;
    TRISB = 0x00;
    PORTB = 0xFF;
    while(1)
    {
        for(i=0;i<10;i++)
        {
            segchar(i);
            __delay_ms(500);
        }
    }
    return;
}
